package cn.teammodel.model.entity.teacher;


import cn.teammodel.model.entity.BaseItem;
import cn.teammodel.model.vo.admin.GpTeacherVo;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Teacher")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PtTeacherInfo extends BaseItem {
    public String tmdId ;
    public String name ;
    public String pk ;
    public Integer ttl ;
    public String phone ;
    public String email ;
    public String picture ;
    public String iname ;
    public String job ;
    public List<String> subjectIds ;
    public List<String> subjectNames ;
    public List<String> roles;
    public List<GpTeacherVo.IdNameCode> groups;
    public String note ;
    public String degree;
    public Long practiceTime ;
    public String gender ;
    public List<String> grade;
    public String periodId ;
    //新增身份信息
    public List<String> identity ;
    public Integer version; // 添加版本控制字段
    @Data
    public static class IdNameCode{
        public String id ;
        public String name ;
        public String code ;
        public String picture ;
        public String nickname ;
    }
}
